<template>

  <div id="ViewExpense" >
    <div class="login-box shadow-sm mb-5 bg-white rounded">
      <div class="p-5">
        <div class="mb-4 text-right"><router-link class="btn btn-outline-warning" to="/CreateExpense">AGREGAR</router-link></div>
    <h5>Expenses:</h5>
    <full-calendar :events="fcEvents" locale="en"></full-calendar>
      <div class="row">
        <div class="col-md" v-for="gasto in this.total_del_mes" v-bind:key="gasto">
          <div class="container">
              
      <p >{{gasto}}</p>
          </div>
        </div>
        </div> 
    <div class="container" v-for="(expense1, key1, index1) in expenses" :key="key1" >
      {{index1}}
        <div class="cardsExpenses" v-for="(expense2,key2, index2) in expense1" :key="key2">
            <div v-if="expense2!==undefined" class="card text-white bg-secondary mb-3" style="max-width: 18rem;">
                <div class="card-header">{{key2}}.{{expense2.concept}}</div>
                <div class="card-body">
                    <h5 class="card-title">{{expense2.amount}}</h5>
                    <p class="card-text">{{expense2.date}}</p>
                </div>
                {{index2}}
            </div>
        </div>
    </div>
  </div>
</div>
  </div>
</template>

<script>
import { mapState, mapGetters } from 'vuex'
import { RTDB } from '../main.js';
import fullCalendar from 'vue-fullcalendar';


export default {
  computed:{
    ...mapGetters(['getCodeFamily']),
  },
  name: 'ViewExpense',
  components:{
    fullCalendar
  },
  data () {  
    
    return {
      rule_created:false,
      expenses:[],
      total_del_mes:{1:0,2:0,3:0,4:0,5:0,6:0,7:0,8:0,9:0,10:0,11:0,12:0},
      fcEvents:[
	{
    }
],
    };
  },
  methods: {
    remodelExpences(){
      this.expenses.forEach(element => {
        for(var x =1;x<element.length;x++){
          this.fcEvents.push({title:" Gasto:"+element[x].amount+"€",start:element[x].date});
            this.getExpenses(element[x].date,element[x].amount)
        }
      });
    },
    getExpenses(date,money){
      for(var month = 1; month<13;month++){
          var split_date=date.split("-");
          if(split_date[1]==month){
            this.total_del_mes[month]+=parseFloat(money);
          }
      }
      console.log(this.total_del_mes);
    }

  },
  created () {
    this.expenses=[];
    RTDB.ref('family/'+this.getCodeFamily+'/expense').on('value',snapshot=>this.expenses.push(snapshot.val()));
    this.remodelExpences();
  },
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.btn-outline-warning {
  color: #009A9A;
  border-color: #009A9A;
}
.btn-outline-warning:hover {
  background-color: #009A9A;
  color: #fafafa;
  border-color: #fafafa;
}
    form{
        width:330px;
        border-top:1px dotted #D9D9D9;
        margin:10px auto
    }
    input[type="button"]{
        width: 45px;
        color:#343A40;
        margin:2%;
        background-color: #17A2B8;
        padding: 0px;
        font-size: 22px;
    }
    input{
        width:250px;
        padding:5px;
        margin:10px 0 10px;
        border-radius:5px;
        border:2px solid #17A2B8;
    }
    input[type = submit]{
        width:100px;
        background-color:#343A40;
        border-radius:5px;
        border:1px solid #17A2B8;
        color:#fff
    }
    .cardsExpenses{
        position: realtive;
        margin: 0 auto;
    }
  .login-box{
  max-width: 100%;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
